Index: /extensions/LLGBO2/defaultvalues.php
===================================================================
--- /extensions/LLGBO2/defaultvalues.php	(revision 28989)
+++ /extensions/LLGBO2/defaultvalues.php	(revision 28990)
@@ -1,9 +1,76 @@
 <?php
-
-// valeurs par défaut 
-$plugvalues = "false,true,true,true,true,true,false,theAboutPage;theTagsPage;theCommentsPage;theIdentificationPage;theAdminPage,true,false,false";
-$ttvalues = "150,2,#fff,#000,#c92,#dadada";
-$frvalues = "#16195f,#ffffff,3,#040404,1,#ffffff,7,#ffffff,1,#fdfdfd,1,#fcfcfc,1,#fafafa,1,#eaeaea,1,#d3d3d3,1,#bababa,1,#9f9f9f,1,#858585,1,#777777,1,#646464,1,#575757,1,#474747,1";
-$headvalues = "true,false,false,false,false,false,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true";
-
+// ---------------------------------------------
+// -------- LLGBO valeurs par défaut        ----
+// ---------------------------------------------
+$default_Main = array(
+	'version' => 1,
+    'frame' => False,
+	'tooltipdisp' => true,
+    'alwaysdisplayexif' => False,
+	'exifunderbt' => true,
+	'titleframe' => true,
+	'manageheader'=>  False,
+    );
+	
+$default_tooltip = array(
+	'TT-width' => 150,
+	'TT-size' => 2,
+    'TT-bordercolor' => '#fff',
+	'TT-bgcolor' => '#000',
+	'TT-titlecolor' => '#c92',
+	'TT-textcolor' => '#dadada'
+    );
+	
+$default_frame = array(
+	'FR-titlecolor' =>  '#16195f',
+    'FR-sizes'     => array(3,1,7,1,1,1,1,1,1,1,1,1,1,1,1,1),
+	'FR-colors'   => array('#ffffff','#040404','#ffffff','#ffffff','#fdfdfd','#fcfcfc','#fafafa','#eaeaea','#d3d3d3','#bababa','#9f9f9f','#858585','#777777','#646464','#575757','#474747'),
+	);
+	
+$default_header = array(
+	'HD-dispheader' => array('home' => true,'category' => False,'category_filter_recent'  => False,'categories/flat'  => False,'category_posted_monthly'  => False,
+		'picture'  => False,'additional_page' => true,'most_visited' => true,'best_rated' => true,'list'=> true,'recent_pics' => true,'created-monthly-calendar' => true,
+		'tags' => true,'search' => true,'comments' => true,'about' => true,'notification' => true,'register' => true,'identification' => true,'favorites'=> true,
+					'recent_cats' => true,'thePiwiShackControllerPage' => true),
+		);
+// ---------------------------------------
+// -----       S A M P L E S           ---
+// ---------------------------------------	
+$samples  = array(
+	'GOLD' => array(
+		'FR-titlecolor' =>  '#16195f',
+		'FR-sizes'     => array(2,1,5,1,1,1,1,1,1,1,3,1,2,1,1,1),
+		'FR-colors'   => array('#d0a641','#b08827','#f3ead8','#9c740e','#553b00','#5e4400','#684d07','#977424','#95772b','#896611','#674e13','#8e784b','#e0c992','#e8cb8b','#af9045','#8a6612'),
+		),
+	'WHITE' => array(
+		'FR-titlecolor' =>  '#16195f',
+		'FR-sizes'     => array(3,1,7,1,1,1,1,1,1,1,1,1,1,1,1,1),
+		'FR-colors'   => array('#ffffff','#040404','#ffffff','#ffffff','#fdfdfd','#fcfcfc','#fafafa','#eaeaea','#d3d3d3','#bababa','#9f9f9f','#858585','#777777','#646464','#575757','#474747'),
+		),
+	'BLACK' => array(
+	'FR-titlecolor' =>  '#9f7a09',
+	'FR-sizes'     => array(3,1,4,4,1,1,1,1,1,1,1,1,1,1,1,1),
+	'FR-colors'   => array('#090909','#fafafa','#0b0b0b','#0c0c0c','#1f1f20','#29292b','#343435','#3f3f41','#4a4a4b','#555557','#616163','#6d6d6e','#79797a','#848485','#919192','#9d9d9e'),
+	),
+	'METAL' => array(
+	'FR-titlecolor' =>  '#111111',
+	'FR-sizes'     => array(2,1,3,2,2,1,1,2,1,1,1,1,1,1,1,1),
+	'FR-colors'   => array('#e8e8e8','#babdbf','#4a4c4d','#a3a7aa','#a8acaf','#adb2b4','#b3b8ba','#c0c4c6','#c6c9cc','#c8cbcd','#c5c9cb','#c9cdcf','#cdd1c2','#cdd1c2','#b1b3da','#666e83'),
+	),
+	'IVORY' => array(
+	'FR-titlecolor' =>  '#16195f',
+	'FR-sizes'     => array(4,1,5,1,1,1,1,1,1,1,1,1,1,1,1,1),
+	'FR-colors'   => array('#f4f4f4','#685008','#e0e0df','#d6d6d4','#cbcbca','#c0c0be','#b5b5b4','#aaaaa8','#9e9e9c','#929291','#868685','#7b7b7a','#6e6e6d','#626261','#555555','#4a4a4a'),
+	),
+		'BLUE' => array(
+	'FR-titlecolor' =>  '#000000',
+	'FR-sizes'     => array(2,1,9,1,1,1,1,1,1,1,2,1,1,1,1,1),
+	'FR-colors'   => array('#e8e8e8','#b6d0d5','#fafefe','#a3a7aa','#a8acaf','#404b54','#32403d','#b1b7c3','#4c5970','#303d4e','#566662','#96abb1','#737479','#d2d2d7','#6e716b','#5a5b5c'),
+	),
+	'B_W' => array(
+	'FR-titlecolor' =>  '#e8cb8b',
+	'FR-sizes'     => array(11,9,1,1,3,3,0,0,0,0,0,0,0,0,0,0),
+	'FR-colors'   => array('#fcf6e9','#171112','#352c2d','#fcf6e9','#000000','#171112','#000000','#000000','#000000','#000000','#000000','#000000','#000000','#000000','#000000','#000000'),
+	),
+);
 ?>
Index: /extensions/LLGBO2/include/manage_header.php
===================================================================
--- /extensions/LLGBO2/include/manage_header.php	(revision 28989)
+++ /extensions/LLGBO2/include/manage_header.php	(revision 28990)
@@ -1,47 +1,30 @@
 <?php
+//----------------------------------------------------	 
+/*      LLGBO Manage header 					   */
+//----------------------------------------------------
 if (!isset($page_name)) {$page_name ='index';}
-if ($conf['LLGBO_SETTINGS'] [6] = 'true' ) 
-{$no_header = false;
-
-$input= $_SERVER['PHP_SELF'];
-if ($conf['question_mark_in_urls'] == true)
- {	foreach($_GET as $cle  =>$valeur) 
-		{$input= $input.$cle ;}
-}
-// print_r($input.'----'.$page_name ); 
-if  ( strpos( $input,'index') == true )
-{ 		
-		if ((strpos( $input,'index.php/') == false )  and ($conf['LLGBO_HEADER'][0] == 'false')) {$no_header = true;}// home
-		if ((strpos( $input,'categories') == true ) and ($conf['LLGBO_HEADER'][0] == 'false')) {$no_header = true;}// categories
-		if ((strpos( $input,'category') == true ) and ($conf['LLGBO_HEADER'][1] == 'false')) {$no_header = true; }
-		if ((strpos( $input,'filter=') == true ) and ($conf['LLGBO_HEADER'][2] == 'false')) {$no_header = true; }
-		if ((strpos( $input,'categories/flat') == true ) and ($conf['LLGBO_HEADER'][3] == 'false')) {$no_header = true ;}
-		if ((strpos( $input,'categories/posted-monthly-list') == true ) and ($conf['LLGBO_HEADER'][4] == 'false')) {$no_header = true ;}
-		if ((strpos( $input,'additional_page') == true ) and ($conf['LLGBO_HEADER'][6] == 'false')) {$no_header = true; }
-		if ((strpos( $input,'most_visited') == true ) and ($conf['LLGBO_HEADER'][7] == 'false')) {$no_header = true ;}
-		if ((strpos( $input,'best_rated') == true ) and ($conf['LLGBO_HEADER'][8] == 'false')) {$no_header = true; }
-		if ((strpos( $input,'list') == true ) and ($conf['LLGBO_HEADER'][9] == 'false')) {$no_header = true; }
-		if ((strpos( $input,'recent_pics') == true ) and ($conf['LLGBO_HEADER'][10] == 'false')) {$no_header = true ;}
-		if ((strpos( $input,'tags') == true ) and ($conf['LLGBO_HEADER'][11] == 'false')) {$no_header = true; }
-		if ((strpos( $input,'created-monthly-list') == true ) and ($conf['LLGBO_HEADER'][12] == 'false')) {$no_header = true;}
-		if ((strpos( $input,'favorites') == true ) and ($conf['LLGBO_HEADER'][19] == 'false')) {$no_header = true;}
-		if ((strpos( $input,'recent_cats') == true ) and ($conf['LLGBO_HEADER'][20] == 'false')) {$no_header = true;;} 
-		if ((strpos( $input,'thePiwiShackControllerPage') == true ) and ($conf['LLGBO_HEADER'][21] == 'false')) {$no_header = true;;} 
+if ($CF_LLGBO['manageheader']) 
+	{$no_header = false;
+	$input= $_SERVER['PHP_SELF'];
+	if ($conf['question_mark_in_urls'] == true)
+		{	foreach($_GET as $cle  =>$valeur) 
+			{$input= $input.$cle ;}
+	} 
 	 
-	}
-	//print_r($_GET.'----'.$page_name ); 
-if  ( strpos( $input,'index') == false )
-	 {if ( $page_name == 'index'   and ($conf['LLGBO_HEADER'][0] == 'false')) {$no_header = true;}// home
-	 if ( $page_name == 'picture' and  $conf['LLGBO_HEADER'][5] == 'false')  {$no_header = true;}//picture page
-	 if ( $page_name == 'tags' and  $conf['LLGBO_HEADER'][11] == 'false')  {$no_header = true;}//tags
-	 if ( $page_name == 'search' and  $conf['LLGBO_HEADER'][13] == 'false')  {$no_header = true;}//search	
-	 if ( $page_name == 'comments' and  $conf['LLGBO_HEADER'][14] == 'false')  {$no_header = true;}//comments
-	 if ( $page_name == 'about' and  $conf['LLGBO_HEADER'][15] == 'false')  {$no_header = true;}//about	 
-	 if ( $page_name == 'notification' and  $conf['LLGBO_HEADER'][16] == 'false')  {$no_header = true;}//notification	 
-	 if ( $page_name == 'register' and  $conf['LLGBO_HEADER'][17] == 'false')  {$no_header = true;} //notification	 
-	 if ( $page_name == 'identification' and  $conf['LLGBO_HEADER'][18] == 'false')  {$no_header = true;}//about	 
-	 }
- if ($no_header == true)
-{$template->append('head_elements','<!-- llgbo -->'."\n".'<STYLE type="text/css">'."\n".'#theHeader{display: none}'."\n".'header_msgs {position:static}'."\n".'</STYLE>');}
+	if  ( strpos( $input,'index') == true )
+	{	foreach($CF_LLGBO['HD-dispheader'] as $cle  => $valeur) 
+			{ if ($valeur  == false) {
+					if($cle == 'home' ) {$cle = 'index.php';} 
+					if (strpos( $input, $cle) == true ) 
+						{$no_header = true;}
+					}
+			}
+	} 
+	 else 
+	{	 
+		 if (isset($CF_LLGBO['HD-dispheader'][$page_name]) and ($CF_LLGBO['HD-dispheader'][$page_name] == false) ) {$no_header = true;} 
+	}  
+	 if ($no_header == true)
+	{$template->append('head_elements','<!-- llgbo -->'."\n".'<STYLE type="text/css">'."\n".'#theHeader{display: none}'."\n".'header_msgs {position:static}'."\n".'</STYLE>');}
 }	
 ?>
Index: /extensions/LLGBO2/include/manage_picture_content.php
===================================================================
--- /extensions/LLGBO2/include/manage_picture_content.php	(revision 28989)
+++ /extensions/LLGBO2/include/manage_picture_content.php	(revision 28990)
@@ -1,43 +1,86 @@
 <?php
-$prev = $template->get_template_vars('previous');
-$next  = $template->get_template_vars('next');
-$current = $template->get_template_vars('current');
-$themeconf = $template->get_template_vars('themeconf');
+function llgbo_RenderContent($content,$element_info)
+/******************************************************************/
+{
+//----------------------------------------------------	 
+/*      LLGBO Manage Picture_content   			   */
+//----------------------------------------------------
+	global $template,$conf,$CF_LLGBO;	
+	 
+	$template->assign('LLGBO_PATH',LLGBO_PATH);
+	include_once(LLGBO_PATH.'/css/sweettitles.css.php');	
+	$CF_LLGBO['rendercontent']  = false;
+	//-----------------------------------------------------------------
+	// -----------  add CSS tooltip in footer --------------------
+	//-----------------------------------------------------------------
+	 If (($CF_LLGBO['tooltipdisp']  )  or  ($CF_LLGBO['exifunderbt']))    
+		{	$template->append('footer_elements',$sweetcss);
+			$template->append('llgbo', array( 'TOOLTIP' => 'ok' ), true);}
+	//-----------------------------------------------------------------
+	// Frame is only available on picture extension	
+	//-----------------------------------------------------------------
+	 $ext = get_extension($element_info['path']);
+	 if (!in_array($ext, $conf['picture_ext'])) 
+				{return $content;}
+		$CF_LLGBO['rendercontent'] = true;	// $content ok for update
+		
+	//-----------------------------------------------------------------
+	// AN OTHER PLUGIN IS WORKING -> GO BACK
+	//-----------------------------------------------------------------
+	if ( !empty($content) ) 
+		{	 // 2.6 paticular case automatic size management
+		 $autosize_in_place = $template->get_template_vars('is_automatic_size');
+		 $autosize_selected = $template->get_template_vars('automatic_size');
+		 unset ($CF_LLGBO['PictSizeWH'] );
+			if ((isset($autosize_in_place))  and  (isset($autosize_selected)) )
+		        	{$CF_LLGBO['PictSizeWH'] =  $element_info['derivatives'][$autosize_selected]->get_size();
+					  }
+		else
+		{return $content;}
+		}
 
-//print_r($next);
-$swtimg =   '||<img src=';	
 //----------------------------------------------------	 
 //-------      Tooltip                   -------------	 
-//----------------------------------------------------	 
-If ($conf['LLGBO_SETTINGS'][1]  == 'true' )//   tooltip  
-{  if (isset($prev)){$template->append('previous',  array('TITLE' =>  $prev['TITLE'].$swtimg.$prev['THUMB_SRC'].'>'),TRUE);}
-   if (isset($next)){$template->append('next',  array('TITLE' =>  $next['TITLE'].$swtimg.$next['THUMB_SRC'].'>'),TRUE);}
- 	$template->append('llgbo', array('tooltipCSS'  => $sweetcss), true); 
+//----------------------------------------------------
+	 
+	If ($CF_LLGBO['tooltipdisp'] )//   tooltip  
+	{  	$prev = $template->get_template_vars('previous');
+		$next  = $template->get_template_vars('next');
+		$swtimg =   '||<img src=';	
+		if (isset($prev)){$template->append('previous',  array('TITLE_ESC' =>  $prev['TITLE_ESC'].$swtimg.$prev['THUMB_SRC'].'>'),TRUE);}
+		if (isset($next)){$template->append('next',  array('TITLE_ESC' =>  $next['TITLE_ESC'].$swtimg.$next['THUMB_SRC'].'>'),TRUE);}
+		$template->append('llgbo', array('tooltipCSS'  => $sweetcss), true); 
 	}	
-If (($conf['LLGBO_SETTINGS'] [0] == 'true')   ) //Frame
-	{ 	
-	$template->set_prefilter('default_content', 'LLGBO_prefilter_Content_Frame');
+	
+	If (($CF_LLGBO['frame'])   ) //Frame
+	{ 	$template->set_prefilter('default_content', 'LLGBO_prefilter_Content_Frame');
+	//----------------------------------------------------	 
+	/*       HTML End  frame   on Picture_content       */
+	//----------------------------------------------------		
+		$csstheme = 'default';
+		$themeconf = $template->get_template_vars('themeconf');
+		//  dedicated Css by parent theme	
+			if (isset ($themeconf['parent']))
+			{ $themestyle = $themeconf['parent'];}
+			If (file_exists(LLGBO_PATH."css/llgbo_content_".$themeconf['id'].".css")) // no css file dedicated for this theme
+			   { $themestyle = $themeconf['id'];}
+			   else
+			   {$themestyle = 'default';}
+			   $frame_end = '';
+			 foreach ($CF_LLGBO['FR-sizes'] as  $value) 
+				{if ( $value > 0)	// boder value > 0	
+					{	$frame_end = $frame_end.'</div>';}
+				 }
+			   
+			 $template->append('llgbo', array(
+				'FRAME_END' => $frame_end,
+				'GBOCSS' => LLGBO_PATH."css/llgbo_content_".$themestyle.".css" ), true); 
 
-//----------------------------------------------------	 
-/*       HTML End  frame   on Picture_content       */
-//----------------------------------------------------		
-		$frame_end='';
-		for ($x = 1   ;$x < 32  ; $x =$x +2)
-		{ 	if ((isset($conf['LLGBO_FRAME'][$x+1])) and  ($conf['LLGBO_FRAME'][$x+1] > 0))	// boder value > 0	
-			  { 	$frame_end = $frame_end .'</div>';	}
-		}
-	$csstheme = 'default';
-	$themeconf = $template->get_template_vars('themeconf');
-	//  dedicated Css by parent theme	
-		$themestyle = 'default';
-		if (isset ($themeconf['parent']))
-		{ $themestyle = $themeconf['parent'];}
-		If ($themestyle == 'default')
-		   { $themestyle = $themeconf['id'];}
-		 $template->append('llgbo', array(
-			  'FRAME_END' => $frame_end,
-			  'GBOCSS' => LLGBO_PATH."css/llgbo_content_".$themestyle.".css" ), true); 
-
-} // end frame
+	} // end frame
+	 // 2.6 paticular case automatic size management
+	if ((isset($autosize_in_place))  and  (isset ($autosize_selected)) )
+						{	return $template->parse( 'default_content', true);}
+						
+} //end --> llgbo_RenderContent
 
 ?>
Index: /extensions/LLGBO2/js/jquery_llgboframeresize.js
===================================================================
--- /extensions/LLGBO2/js/jquery_llgboframeresize.js	(revision 28989)
+++ /extensions/LLGBO2/js/jquery_llgboframeresize.js	(revision 28990)
@@ -5,33 +5,18 @@
 });
 var LlgboFr_Resize = function () {
-	var elGbo = document.getElementById("llgbo0");
-	 if  (elGbo) { 
-	    var MainImg = document.getElementById("theMainImage"); 
-		var nFrH = parseInt(MainImg.height); 
-		var nFrW = parseInt(MainImg.width);
-		var ReadImgSize = document.getElementById("LLGBO_READIMGREELSIZE");
-		 if (ReadImgSize) {
-		 // Must read via URL the physical size of the img
-			 var x = document.createElement('img');	
-			 x.id = 'NewImgx';
-			 document.getElementsByTagName('body')[0].appendChild(x);
-			 x.style.top = '0';
-			 x.style.visibility = 'hidden';
-			 x.src =  MainImg.src;
-			 nFrH = parseInt(x.height); 
-			 nFrW = parseInt(x.width);
-			document.getElementsByTagName('body')[0].removeChild(x);
-		}
-	
-		var FrLstBdr = 0, i = 0;
-			for ( i=1; i<32; i=i+2 )
-				{var Fr = document.getElementById("llgboframe"+(i));
-				 var frbdr = 0;
-				 if (Fr) {
-					frbdr = parseInt(Fr.style.borderWidth);}
-					FrLstBdr = (frbdr * 2)+FrLstBdr;  
-				}
-				elGbo.style.width = (nFrW + FrLstBdr) + "px";
-				elGbo.style.height =(nFrH + FrLstBdr) + "px";
-		}		
+	var Elmgbo = jQuery("#llgbo0");
+       if (Elmgbo.size() > 0) 
+	 {	var MainImg = jQuery("#theMainImage");
+	       if (jQuery("#theMainImage").size() > 0)
+		   {	var nImgH = parseInt(MainImg.height() ); 
+				var nImgW = parseInt(MainImg.width() );
+				var FrLstBdr = 0; var frbdr=0;
+				jQuery(".llgboFR").each(function(){ 
+					 frbdr = parseInt(jQuery(this).css('border-top-width'));
+						FrLstBdr = (frbdr * 2)+FrLstBdr; 
+					});			
+				Elmgbo.width (nImgW + FrLstBdr) ;
+				Elmgbo.height (nImgH + FrLstBdr) ; 
+			}
+	}		
 }
Index: /extensions/LLGBO2/js/jquery_llgbotip.js
===================================================================
--- /extensions/LLGBO2/js/jquery_llgbotip.js	(revision 28989)
+++ /extensions/LLGBO2/js/jquery_llgbotip.js	(revision 28990)
@@ -75,5 +75,5 @@
 		{xCord = wT *-1;}
 		else {
-	 xCord =( maxLeft < (e.pageX + wT )) ?	xCord = wT * -1 : xCord = xGap;}	
+	 xCord =( maxLeft < (e.pageX + wT + xGap)) ?	xCord = wT * -1 : xCord = xGap;}	
 	 xLeft = (e.pageX + xCord < 3 ) ? xLeft = e.pageX + xGap : xLeft = e.pageX + xCord;
 	 yCord =( maxTop < (e.pageY + hT )) ?	yCord = hT * -1 : yCord = yGap;
Index: /extensions/LLGBO2/language/ar_SA/plugin.lang.php
===================================================================
--- /extensions/LLGBO2/language/ar_SA/plugin.lang.php	(revision 28989)
+++ /extensions/LLGBO2/language/ar_SA/plugin.lang.php	(revision 28990)
@@ -7,9 +7,9 @@
 $lang['submit'] = 'ارسل';
 $lang['Title'] = 'يبدو كأنه GBO';
-$lang['Howto'] = 'هذه الاداة تنظم لوحة الخلفية للصورة';
-$lang['Step1_Title'] = 'اعدادات الاداة';
-$lang['Step2_Title'] = 'خيارات المساعدة للاداة';
-$lang['Step3_Title'] = 'خيارات الاطار';
-$lang['Step4_Title'] = 'عرض او اخفاء راس الصفحة';
+$lang['llgbo_admin_plugin_title'] = 'هذه الاداة تنظم لوحة الخلفية للصورة';
+$lang['llgbo_adim_settings_title'] = 'اعدادات الاداة';
+$lang['llgbo_admin_tooltip_title'] = 'خيارات المساعدة للاداة';
+$lang['llgbo_admin_frame_title'] = 'خيارات الاطار';
+$lang['llgbo_admin_header_title'] = 'عرض او اخفاء راس الصفحة';
 $lang['llgbo_tooltip']='ادوات مساعدة خاصة(بتحريك الفأرة على الصورة) للثيمات المصغرة';
 $lang['llgbo_exifunderbt']='ادوات مساعدة خاصة للثيم الصورة وال EXIF عند تريك الفارة عليها';
@@ -20,5 +20,5 @@
 $lang['llgbo_usemap_thumb']='عرض صور مصغرة عندما يكون شريط التحريك مفعلا :';
 $lang['llgbo_info']='     (^_^) الاعدادات تم تحديثها';
-$lang['llgbo_title_frame'] = 'عرض اسم الصورة على الاطار';
+$lang['llgbo_titleframe'] = 'عرض اسم الصورة على الاطار';
 $lang['llgbo_default_navthumb'] = 'اخفاء عرض الثيمات المصغرة العادية ل التالي_السابق:';
 $lang['save'] = 'حفظ';
@@ -27,11 +27,11 @@
 $lang['llgo_tooltip_size']= 'عرض الحدود للاداة المساعدة';
 $lang['llgbo_tooltip_bordercolor']= 'لون حدود الاداة المساعده';
-$lang['llgbo_tooltip_backgroundcolor']= 'لون خلفية الاداة المساعده';
+$lang['llgbo_tooltip_bgcolor']= 'لون خلفية الاداة المساعده';
 $lang['llgbo_tooltip_titlecolor']= 'لون عنوان الاداة المساعده';
-$lang['llgbo_tooltip_color']= 'لون الخط للاداة المساعده';
+$lang['llgbo_tooltip_textcolor']= 'لون الخط للاداة المساعده';
 $lang['llgo_global_setting']= 'Piwigo الاعدادت العالمية لصفحة الصور في';
 $lang['llgo_tooltip_setting']= 'عنوان الاداة المساعده';
 $lang['llgo_frame_setting']= 'اعدادات الاطار' ;
-$lang['llgbo_title_frame_color']= 'لون العنوان المعروض في الاطار';
+$lang['llgbo_frame_titlecolor']= 'لون العنوان المعروض في الاطار';
 $lang['llgbo_frame_bdcolor0']= 'لون السطر الاول:';
 $lang['llgbo_frame_bdcolor1']= 'لون السطر الثاني : ';
@@ -61,5 +61,5 @@
 $lang['llgbo_header_category'] = 'عرض {اس في صفحة التصنيفات';
 $lang['llgbo_header_category_filter_recent']= 'عرض الرأس في صفحة التصنيفات(حسب الاحدث)';
-$lang['llgbo_header_category_flat']= 'عرض الرأس في صفحة التصنيفات (خيار الفلات)' ;
+$lang['llgbo_header_categories/flat']= 'عرض الرأس في صفحة التصنيفات (خيار الفلات)' ;
 $lang['llgbo_header_category_posted_monthly']= 'عرض الرأس في صفحة التصنيفات خيار التقويم' ;
 $lang['llgbo_header_picture']= 'عرض الرأس في صفحة الصور' ;
@@ -69,5 +69,5 @@
 $lang['llgbo_header_list']= 'عرض الرأس في صفحات صور عشوائية';
 $lang['llgbo_header_recent_pics']= 'عرض الرأس في صفحة الزيارات الحديثة';
-$lang['llgbo_header_created_monthly_calendar'] = 'عرض الرأس في صفحة التقويم';
+$lang['llgbo_header_created-monthly-calendar'] = 'عرض الرأس في صفحة التقويم';
 $lang['llgbo_header_tags']= 'عرض الرأس في صفحة الكلمات الدلالية';
 $lang['llgbo_header_search']= 'عرض الرأس في صفحة البحث';
@@ -81,5 +81,5 @@
 $lang['llgbo_frame_sample']= 'قائمة العينات ';
 $lang['previewsamples']= 'عرض هذه العينة';
-$lang['llgbo_always_displayexif'] = 'دائما اعرض المعلومات الاساسية' ;
+$lang['llgbo_alwaysdisplayexif'] = 'دائما اعرض المعلومات الاساسية' ;
 $lang['Reset_To_Default'] = 'ارجاع للاعدادت الافتراضية';
 $lang['llgo_warning_setting'] = 'للاستخدام مع Gally themes, الاداة cl_conflit يجب ان تثبت';
Index: /extensions/LLGBO2/language/ca_ES/plugin.lang.php
===================================================================
--- /extensions/LLGBO2/language/ca_ES/plugin.lang.php	(revision 28989)
+++ /extensions/LLGBO2/language/ca_ES/plugin.lang.php	(revision 28990)
@@ -21,9 +21,9 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
-$lang['Howto'] = 'Aquest complement gestiona la disposició de la imatge a la pàgina';
-$lang['Step1_Title'] = 'Gestionar complement';
-$lang['Step2_Title'] = 'Ajustar la descripció emergent';
-$lang['Step3_Title'] = 'Ajustar marc';
-$lang['Step4_Title'] = 'Visualitzar/Ocultar la capçalera de cada pàgina';
+$lang['llgbo_admin_plugin_title'] = 'Aquest complement gestiona la disposició de la imatge a la pàgina';
+$lang['llgbo_adim_settings_title'] = 'Gestionar complement';
+$lang['llgbo_admin_tooltip_title'] = 'Ajustar la descripció emergent';
+$lang['llgbo_admin_frame_title'] = 'Ajustar marc';
+$lang['llgbo_admin_header_title'] = 'Visualitzar/Ocultar la capçalera de cada pàgina';
 $lang['Title'] = 'Assemblar-se a GBo';
 $lang['submit'] = 'Enviar';
@@ -32,5 +32,5 @@
 $lang['llgbo_M_manage'] = 'Ajustos generals';
 $lang['llgbo_M_tooltip'] = 'Gestionar descripcions emergents';
-$lang['llgbo_always_displayexif'] = 'Mostrar sempre metadades:';
+$lang['llgbo_alwaysdisplayexif'] = 'Mostrar sempre metadades:';
 $lang['llgbo_frame_bdcolor0'] = 'Color línia 1:';
 $lang['llgbo_frame_bdcolor10'] = 'Color línia 11:';
@@ -64,14 +64,14 @@
 $lang['llgbo_frame'] = 'Gestionar marcs al voltant de la imatge:';
 $lang['llgbo_header_category_filter_recent'] = 'Visualitzar capçalera a la secció Àlbums (filtrat per recents)';
-$lang['llgbo_header_category_flat'] = 'Visualitzar capçalera a la pàgina d\'àlbums (opció plana)';
+$lang['llgbo_header_categories/flat'] = 'Visualitzar capçalera a la pàgina d\'àlbums (opció plana)';
 $lang['llgbo_header_category'] = 'Visualitzar capçalera a la secció Àlbums';
 $lang['llgbo_header_home'] = 'Mostrar capçalera a la pàgina d\'Inici';
 $lang['llgbo_header'] = 'Gestionar la visualització de la capçalera';
 $lang['llgbo_maintain_header'] = 'Mantenir la capçalera de les pàgines següents:';
-$lang['llgbo_title_frame_color'] = 'Color per al títol mostrat al marc';
-$lang['llgbo_title_frame'] = 'Mostra títol de la imatge en un marc';
-$lang['llgbo_tooltip_backgroundcolor'] = 'Color de fons de la descripció emergent';
+$lang['llgbo_frame_titlecolor'] = 'Color per al títol mostrat al marc';
+$lang['llgbo_titleframe'] = 'Mostra títol de la imatge en un marc';
+$lang['llgbo_tooltip_bgcolor'] = 'Color de fons de la descripció emergent';
 $lang['llgbo_tooltip_bordercolor'] = 'Color de la vora de la descripció emergent';
-$lang['llgbo_tooltip_color'] = 'Color del text de la descripció emergent';
+$lang['llgbo_tooltip_textcolor'] = 'Color del text de la descripció emergent';
 $lang['llgbo_tooltip_titlecolor'] = 'Color del títol de la descripció emergent';
 $lang['llgbo_usemap_thumb'] = 'Visualitzar miniatures quan la navegació estigui activa a la imatge:';
@@ -87,5 +87,5 @@
 $lang['llgbo_header_category_posted_monthly'] = 'Visualitzar capçalera a la pàgina d\'àlbums (opció calendari)';
 $lang['llgbo_header_comments'] = 'Visualitzar capçalera a la secció Comentaris';
-$lang['llgbo_header_created_monthly_calendar'] = 'Visualitzar capçalera a la secció Calendari';
+$lang['llgbo_header_created-monthly-calendar'] = 'Visualitzar capçalera a la secció Calendari';
 $lang['llgbo_header_favorites'] = 'Visualitzar capçalera a la secció Preferides';
 $lang['llgbo_header_identification'] = 'Visualitzar capçalera a la secció Identificació';
Index: /extensions/LLGBO2/language/cs_CZ/plugin.lang.php
===================================================================
--- /extensions/LLGBO2/language/cs_CZ/plugin.lang.php	(revision 28989)
+++ /extensions/LLGBO2/language/cs_CZ/plugin.lang.php	(revision 28990)
@@ -7,9 +7,9 @@
 $lang['submit'] = 'Poslat';
 $lang['Title'] = 'Vypadá jako GBo';
-$lang['Howto'] = 'Tento doplněk ovládá uspořádání stránky fotografií.';
-$lang['Step1_Title'] = 'Nastavení doplňku';
-$lang['Step2_Title'] = 'Nastavení nástrojů';
-$lang['Step3_Title'] = 'Nastavení uspořádání';
-$lang['Step4_Title'] = 'Zobrazit/schovat záhlaví na každé stránce';
+$lang['llgbo_admin_plugin_title'] = 'Tento doplněk ovládá uspořádání stránky fotografií.';
+$lang['llgbo_adim_settings_title'] = 'Nastavení doplňku';
+$lang['llgbo_admin_tooltip_title'] = 'Nastavení nástrojů';
+$lang['llgbo_admin_frame_title'] = 'Nastavení uspořádání';
+$lang['llgbo_admin_header_title'] = 'Zobrazit/schovat záhlaví na každé stránce';
 $lang['llgbo_tooltip']='Speciální nástroje (náhledy fotografií) při najetí kurzorem myši:';
 $lang['llgbo_exifunderbt']='Speciální nástroj pro EXIF při najetí kurzorem myši:';
@@ -20,5 +20,5 @@
 $lang['llgbo_usemap_thumb']='Zobrazení náhledů, když je navigace aktivní na fotografii:';
 $lang['llgbo_info']='     (^_^) Nastavení aktualizováno';
-$lang['llgbo_title_frame'] = 'Zobrazení názvu fotografie na rámu';
+$lang['llgbo_titleframe'] = 'Zobrazení názvu fotografie na rámu';
 $lang['llgbo_default_navthumb'] = 'Skrývat Předchozí_Následující při standardním zobrazení náhledů:';
 $lang['save'] = 'Uložit';
@@ -27,11 +27,11 @@
 $lang['llgo_tooltip_size']= 'Šířka rámu nástroje'; 
 $lang['llgbo_tooltip_bordercolor']= 'Barva rámu nástroje';
-$lang['llgbo_tooltip_backgroundcolor']= 'Barva pozadí nástroje';
+$lang['llgbo_tooltip_bgcolor']= 'Barva pozadí nástroje';
 $lang['llgbo_tooltip_titlecolor']= 'Barva názvu nástroje';
-$lang['llgbo_tooltip_color']= 'Barva textu nástroje';
+$lang['llgbo_tooltip_textcolor']= 'Barva textu nástroje';
 $lang['llgo_global_setting']= 'Celkové Nastavení Piwigo fotografické stránky';
 $lang['llgo_tooltip_setting']= 'Název nástroje';
 $lang['llgo_frame_setting']= 'Nastavení rámu:' ;
-$lang['llgbo_title_frame_color']= 'Barva názvu zobrazeného na rámu';
+$lang['llgbo_frame_titlecolor']= 'Barva názvu zobrazeného na rámu';
 $lang['llgbo_frame_bdcolor0']= 'Barva 1: ';
 $lang['llgbo_frame_bdcolor1']= 'Barva 2: ';
@@ -61,5 +61,5 @@
 $lang['llgbo_header_category'] = 'Zobrazit záhlaví na stránce kategorií';
 $lang['llgbo_header_category_filter_recent']= 'Zobrazit záhlaví na stránce kategorií (filtr nových)';
-$lang['llgbo_header_category_flat']= 'Zobrazit záhlaví na stránce kategorií (volba přímá)' ;
+$lang['llgbo_header_categories/flat']= 'Zobrazit záhlaví na stránce kategorií (volba přímá)' ;
 $lang['llgbo_header_category_posted_monthly']= 'Zobrazit záhlaví na stránce kategorií volba kalendář' ;
 $lang['llgbo_header_picture']= 'Zobrazit záhlaví na stránce fotografií' ;
@@ -69,5 +69,5 @@
 $lang['llgbo_header_list']= 'Zobrazit záhlaví na stránce Náhodný výběr';
 $lang['llgbo_header_recent_pics']= 'Zobrazit záhlaví na stránce Nové fotografie';
-$lang['llgbo_header_created_monthly_calendar'] = 'Zobrazit záhlaví na stránce Kalendář';
+$lang['llgbo_header_created-monthly-calendar'] = 'Zobrazit záhlaví na stránce Kalendář';
 $lang['llgbo_header_tags']= 'Zobrazit záhlaví na stránce Klíčová slova';
 $lang['llgbo_header_search']= 'Zobrazit záhlaví na stránce Vyhledávaní';
@@ -81,5 +81,5 @@
 $lang['llgbo_frame_sample']= 'Seznam příkladů ';
 $lang['previewsamples']= 'Zobrazit tento příklad';
-$lang['llgbo_always_displayexif'] = 'Vždy Zobrazit METADATA:' ;
+$lang['llgbo_alwaysdisplayexif'] = 'Vždy Zobrazit METADATA:' ;
 $lang['Reset_To_Default'] = 'Obnovit původní nastavení';
 $lang['llgbo_hdShadowbox'] ='Povolení HD shadowboxu a navigace na fotografii. <br> HD shadowbox musí být aktivovaný!';
